﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace AutoCompleteSample
{
	public partial class MainPage : ContentPage
	{
        public MainPage()
		{
			InitializeComponent();
            this.BindingContext =  new EmployeeViewModel();
		}

        private void Button_Clicked(object sender, EventArgs e)
        {
        }
    }
    public class Employee
    {
        private int id;
        public int ID
        {
            get { return id; }
            set { id = value; }
        }
        private string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }
    }

    public class EmployeeViewModel : INotifyPropertyChanged  
    {
        public event PropertyChangedEventHandler PropertyChanged;  
   
        protected virtual void NotifyPropertyChanged([CallerMemberName] string propertyName = "")  
        {  
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));  
        }  
        private ObservableCollection<Employee> employeeCollection;
        public ObservableCollection<Employee> EmployeeCollection
        {
            get { return employeeCollection; }
            set { employeeCollection = value; NotifyPropertyChanged("EmployeeCollection"); }
        }

        private Employee selectedviews;
        public Employee SelectedViews
        {
            get { return selectedviews; }
            set { selectedviews = value; NotifyPropertyChanged("SelectedViews"); }
        }
        public EmployeeViewModel()
        {
            employeeCollection = new ObservableCollection<Employee>();
            employeeCollection.Add(new Employee() { ID = 1, Name = "Eric" });
            employeeCollection.Add(new Employee() { ID = 2, Name = "James" });
            employeeCollection.Add(new Employee() { ID = 3, Name = "Jacob" });
            employeeCollection.Add(new Employee() { ID = 4, Name = "Lucas" });
            employeeCollection.Add(new Employee() { ID = 5, Name = "Mark" });
            employeeCollection.Add(new Employee() { ID = 6, Name = "Aldan" });
            employeeCollection.Add(new Employee() { ID = 7, Name = "Aldrin" });
            employeeCollection.Add(new Employee() { ID = 8, Name = "Alan" });
            employeeCollection.Add(new Employee() { ID = 9, Name = "Aaron" });

            SelectedViews = employeeCollection[0];
        }

        public ICommand SelectValueCommand
        {
            get
            {
                return new Command(() =>
                {
                    SelectedViews = employeeCollection[0];
                });
            }
        }
    }
}
